Summary:        Generic configuration module for Perl
Name:           perl-Config-General
Version:        2.65
Release:        3%{?dist}
License:        Artistic 2.0
URL:            https://metacpan.org/release/Config-General
Source0:        https://cpan.metacpan.org/modules/by-module/Config/Config-General-%{version}.tar.gz

Patch3000:      perl-Config-General-2.50-system-ixhash.patch
Patch3001:      perl-Config-General-2.63-utf8.patch

BuildArch:      noarch

BuildRequires: perl(Test::More) perl(Tie::IxHash)
BuildRequires: perl(IO::File) perl(strict) perl(vars) perl(warnings) perl(Data::Dumper)
BuildRequires: perl(English) perl(Exporter) perl(File::Glob) perl(File::Spec::Functions) perl(FileHandle)
BuildRequires: perl(ExtUtils::MakeMaker) perl(base) perl(Carp) perl(Carp::Heavy) perl(constant)
BuildRequires: coreutils findutils make perl-generators perl-interpreter

%description
This module opens a config file and parses its contents for you. After parsing
the module returns a hash structure that contains the representation of the
config file.

The format of config files supported by Config::General is inspired by the well
known Apache config format: in fact, this module is 100%% read-compatible with
Apache config files, but you can also just use simple name/value pairs in your
config files.

In addition to the capabilities of an Apache config file, it supports some
enhancements such as here-documents, C-style comments or multi-line options. It
is also possible to save the config back to disk, which makes the module a
perfect back-end for configuration interfaces. It is possible to use variables
in config files and there also exists support for object oriented access to the
configuration.


%prep
%autosetup -p1 -n Config-General-%{version}
rm -r t/Tie


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} -c %{buildroot}


%check
make test



%files
%doc Changelog example.cfg README
%{perl_vendorlib}/Config/
%{_mandir}/man3/Config::General.3*
%{_mandir}/man3/Config::General::Extended.3*
%{_mandir}/man3/Config::General::Interpolated.3*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.65-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.65-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 cunshunxia <cunshunxia@tencent.com> - 2.65-1
- initial build
